## org.apache.lucene.analysis.nl
Class WordlistLoader

    java.lang.Object
      org.apache.lucene.analysis.nl.WordlistLoader

Deprecated. use `WordlistLoader` instead

    public class WordlistLoader

extends java.lang.Object

Loads a text file and adds every line as an entry to a Hashtable. Every line should contain only one word. If the file is not found or on any error, an empty table is returned.

Constructor Summary
`WordlistLoader()` Deprecated.

Method Summary
`static java.util.HashMap` `getStemDict(java.io.File wordstemfile)` Deprecated. use `WordlistLoader.getStemDict(File)` instead
`static java.util.HashMap` `getWordtable(java.io.File wordfile)` Deprecated. use `WordlistLoader.getWordSet(File)` instead
`static java.util.HashMap` `getWordtable(java.lang.String wordfile)` Deprecated. use `WordlistLoader.getWordSet(File)` instead
`static java.util.HashMap` `getWordtable(java.lang.String path, java.lang.String wordfile)` Deprecated. use `WordlistLoader.getWordSet(File)` instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordlistLoader

    public WordlistLoader()

  Deprecated.

Method Detail

### getWordtable

    public static java.util.HashMap getWordtable(java.lang.String path,
                                                 java.lang.String wordfile)

  Deprecated. use `WordlistLoader.getWordSet(File)` instead

  Parameters:
    `path` - Path to the wordlist
    `wordfile` - Name of the wordlist

### getWordtable

    public static java.util.HashMap getWordtable(java.lang.String wordfile)

  Deprecated. use `WordlistLoader.getWordSet(File)` instead

  Parameters:
    `wordfile` - Complete path to the wordlist

### getStemDict

    public static java.util.HashMap getStemDict(java.io.File wordstemfile)

  Deprecated. use `WordlistLoader.getStemDict(File)` instead

  Reads a stemsdictionary. Each line contains: word \t stem i.e. tab seperated)

  Returns:
    Stem dictionary that overrules, the stemming algorithm

### getWordtable

    public static java.util.HashMap getWordtable(java.io.File wordfile)

  Deprecated. use `WordlistLoader.getWordSet(File)` instead

  Parameters:
    `wordfile` - File containing the wordlist

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.